# player_type.h File Reference

Types related to players. More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Data Structures

struct | EnumPropsT< Owner >
| Define basic enum properties. More...

## Typedefs

typedef TinyEnumT< Owner > | OwnerByte
typedef Owner | PlayerID
typedef OwnerByte | PlayerByte
typedef uint32 | PlayerFace
| player face bits, info see in player_face.h

## Enumerations

enum | Owner { OWNER_BEGIN = 0x00, PLAYER_FIRST = 0x00, MAX_PLAYERS = 0x08, OWNER_TOWN = 0x0F, OWNER_NONE = 0x10, OWNER_WATER = 0x11, OWNER_END, INVALID_OWNER = 0xFF, INVALID_PLAYER = 0xFF, PLAYER_INACTIVE_CLIENT = 253, PLAYER_NEW_COMPANY = 254, PLAYER_SPECTATOR = 255 }
| Enum for all players/owners. More...
enum | { MAX_LENGTH_PRESIDENT_NAME = 31, MAX_LENGTH_COMPANY_NAME = 31 }

## Functions

| DECLARE_POSTFIX_INCREMENT (Owner)

## Detailed Description

Types related to players.

Definition in file player_type.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  MAX_LENGTH_PRESIDENT_NAME | The maximum length for a president's name.
  MAX_LENGTH_COMPANY_NAME | The maximum length for a company's name.

Definition at line 33 of file player_type.h.

enum Owner

Enum for all players/owners.

Enumerator:

  OWNER_BEGIN | First Owner.
  PLAYER_FIRST | First Player, same as owner.
  MAX_PLAYERS | Maximum numbe rof players.
  OWNER_TOWN | A town owns the tile, or a town is expanding.
  OWNER_NONE | The tile has no ownership.
  OWNER_WATER | The tile/execution is done by "water".
  OWNER_END | Last + 1 owner.
  INVALID_OWNER | An invalid owner.
  INVALID_PLAYER | And a valid owner.
  PLAYER_INACTIVE_CLIENT | The client is joining.
  PLAYER_NEW_COMPANY | The client wants a new company.
  PLAYER_SPECTATOR | The client is spectating.

Definition at line 13 of file player_type.h.